function [freq_resp_0,freq_resp,freq_resp_H2_0,freq_resp_H2]=...
         comp_freq_responses(puls,puls_H2,youla,sys_Q0,tab_sys_Q,first_time_freq,Indic_debug,tuning)
%
% call:  [freq_resp_0,freq_resp,freq_resp_H2_0,freq_resp_H2]=...
%        comp_freq_responses(puls,puls_H2,youla,sys_Q0,tab_sys_Q,first_time_freq,Indic_debug,tuning)
%
% Computation of frequency responses of T1+T2 Q_0 T3 and T2 Q_i T3,
% where Q_0 and Q_i describe a basis of filters Q = Q_0 + \sum_i \theta_i Q_i.
%
% puls = design frequency gridding for Hinf spec.
% puls_H2 = fine frequency gridding for H2 spec.
%
% see design_convex.m for "youla".
%
% sys_Q0 is a state-space representation of Q0(s).
% tab_sys_Q{i} is a state-space representation of Qi(s).
%
% first_time_freq is useless.
%
% Indic_debug = 0 should be chosen.
% If Indic_debug = 1 tuning.amp is used as the maximal size of the optimization parameters,
% to test the linearity of T1 + T2 Q T3 w.r.t. Q.
%
% freq_resp_0 and freq_resp_H2_0 correspond to the frequency responses of T1+T2 Q_0 T3
%
% freq_resp_0(:,:,iw)    is the frequency reponse at frequency puls(iw)
%
% freq_resp_H2_0(:,:,iw) is the frequency reponse at frequency puls_H2(iw)
%
% freq_resp and freq_resp_H2 correspond to the frequency responses of T2 Q_i T3
%
% freq_resp(:,:,iw,i)    is the frequency reponse at frequency puls(iw)    for Q_i
%
% freq_resp_H2(:,:,iw,i) is the frequency reponse at frequency puls_H2(iw) for Q_i
%
